Subject: bug#42010: 28.0.50; "You should byte-compile Gnus" message for natively compiled gnus.el

From: Andrea Corallo <[email-masked]>
Date: Mon, 22 Jun 2020 22:41:38 +0000

Doug Davis <[email-masked]> writes:

> When running `gnus' with a native compiled Emacs build a message is
> reported in the minibuffer "You should byte-compile Gnus" and `sit-for'
> is called. I'm not sure what check is possible to see if a function is
> natively compiled, but perhaps it should be added to this logic in
> gnus.el:
>
>   (unless (byte-code-function-p (symbol-function 'gnus))
>     (message "You should byte-compile Gnus")
>     (sit-for 2))

I'll admint that added to my undenaiable laziness I probably skiped this
for so long cause was giving me a tiny satisfaction :)

Should be fixed by:

801e19d0ba * lisp/gnus/gnus.el (gnus): Fix a check to handle native
compilation.

Thanks for the feedback

  Andrea

-- 
[email-masked]